Thursday, 10 November 2011 22:17

Joomla Compatibility Update: BNR Plus One

BNR Plus One has now been upgraded to support Joomla 1.7. The new package includes both extensions for Joomla 1.5 and 1.7 platforms.

Go To Top